name: Qodana Scan
on:
  workflow_dispatch:
jobs:
  build:
    name: Build
    runs-on: ubuntu-latest
    steps:
      - id: checkout
        name: Clone Git Repository
        uses: actions/checkout@v3
        with:
          fetch-depth: 0 # required in order to get all tags
      - id: qodana
        name: Qodana Scan
        uses: JetBrains/qodana-action@v2022.3.4
